System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException To be added

Represents the exception that is thrown when errors are generated using ADO.NET components.

- Constructor
  To be added

  Initializes a new instance of the class. This is the default constructor.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified string.

  The string to display when the exception is thrown.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified serialization information and context.

  The data necessary to serialize or deserialize an object.
  Description of the source and destination of the specified serialized stream.
  1.0.5000.0
  2.0.0.0
- Constructor

  You can create a new exception that catches an earlier exception. The code that handles the second exception can make use of the additional information from the earlier exception, also called an inner exception, to examine the cause of the initial error.

  Initializes a new instance of the class with the specified string and inner exception.

  The string to display when the exception is thrown.
  A reference to an inner exception.
  1.0.5000.0
  2.0.0.0